OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSolid

# IGESSolid_SelectedComponent Class Reference

defines SelectedComponent, Type <182> Form Number <0>
in package IGESSolid
The Selected Component entity provides a means of
selecting one component of a disjoint CSG solid

`#include <IGESSolid_SelectedComponent.hxx>`

Inheritance diagram for IGESSolid_SelectedComponent:

[legend]

## Public Member Functions
Standard_EXPORT | IGESSolid_SelectedComponent ()
Standard_EXPORT void | Init (const Handle(IGESSolid_BooleanTree)&anEntity, const gp_XYZ &selectPnt)
| This method is used to set the fields of the class SelectedComponent - anEntity : the Boolean tree entity - selectPnt : Point in or on the desired component .
Standard_EXPORT Handle_IGESSolid_BooleanTree | Component () const
| returns the Boolean tree entity
Standard_EXPORT gp_Pnt | SelectPoint () const
| returns the point on/in the selected component
Standard_EXPORT gp_Pnt | TransformedSelectPoint () const
| returns the point on/in the selected component after applying TransformationMatrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESSolid_BooleanTree | theEntity
gp_XYZ | theSelectPoint

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_SelectedComponent::IGESSolid_SelectedComponent | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESSolid_BooleanTree IGESSolid_SelectedComponent::Component | ( |  | ) | const

Standard_EXPORT const IGESSolid_SelectedComponent::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_SelectedComponent::Init | ( | const Handle(IGESSolid_BooleanTree)& | anEntity,
|  | const gp_XYZ & | selectPnt
| ) |

Standard_EXPORT gp_Pnt IGESSolid_SelectedComponent::SelectPoint | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_SelectedComponent::TransformedSelectPoint | ( |  | ) | const

## Field Documentation

Handle_IGESSolid_BooleanTree IGESSolid_SelectedComponent::theEntity`[private]`

gp_XYZ IGESSolid_SelectedComponent::theSelectPoint`[private]`

The documentation for this class was generated from the following file:

- IGESSolid_SelectedComponent.hxx